Draw a line tangent to end of a curve.

Moderator: Carlson Support

Draw a line tangent to end of a curve.

Postby Dave C. » Tue Aug 27, 2002 8:16 pm

We used to have a command to draw a tangent line from the end of an existing
arc. Select the arc, and specify the length of the tangent. Any idea where
I can find that?

TIA
Dave C.
 

Re: Draw a line tangent to end of a curve.

Postby Nava Ran » Tue Aug 27, 2002 10:22 pm

COGO->Create Points fom Entities
Check Arcs in dialog box.
Draw Polyline from Radius Point to PC or PT point,
on command line type + or - and then press Enter.
Type for "Perpendicular Distance Right/Left" the length of the tangent you
want.
Nava
"Dave C." <dcc@geosurv.com> news:akg87k$5md$1@update.carlsonsw.com...
We used to have a command to draw a tangent line from the end of an
existing
arc. Select the arc, and specify the length of the tangent. Any idea
where
I can find that?

TIA

Nava Ran
 

Re: Draw a line tangent to end of a curve.

Postby R.K. McSwain » Tue Aug 27, 2002 11:53 pm

You can use the polar tracking built into AutoCAD. Just draw a temporary segment from the center point to the end point of the arc, then let the polar tracking guide you to a point 90° from the previous line.


"Dave C." <dcc@geosurv.com> wrote in message news:akg87k$5md$1@update.carlsonsw.com...
We used to have a command to draw a tangent line from the end of an existing
arc. Select the arc, and specify the length of the tangent. Any idea where
I can find that?

TIA

R.K. McSwain
 

Re: Draw a line tangent to end of a curve.

Postby Dave C. » Wed Aug 28, 2002 12:34 am

Got this handy dandy "lsp" routine from the Autodesk.autocad.customization
news group. (works on arcs not polyline) I was going to attach it to this
message but it keeps coming back? Will the server not accept attachments?


"R.K. McSwain" <rmcswain@carlsonsw.com> wrote in message
news:akgkt2$9l9$1@update.carlsonsw.com...
You can use the polar tracking built into AutoCAD. Just draw a temporary
segment from the center point to the end point of the arc, then let the
polar tracking guide you to a point 90° from the previous line.


"Dave C." <dcc@geosurv.com> wrote in message
news:akg87k$5md$1@update.carlsonsw.com...
We used to have a command to draw a tangent line from the end of an
existing
arc. Select the arc, and specify the length of the tangent. Any idea
where
I can find that?

TIA

Dave C.
 

Re: Draw a line tangent to end of a curve.

Postby Dave C. » Wed Aug 28, 2002 1:18 am

; written by Jonathan Dakin
; jdakin@rogers.com

; will draw a line from the end of an existing arc tangent to the arc.
(defun C:LTA ()
(setq ENT_ARC (entsel "Select ARC to draw line tangent to: "))
(if ENT_ARC
(progn
(setq ENT (car ENT_ARC) PT (cadr ENT_ARC))
(setq ENTDTL (entget ENT))
(if (= (cdr (assoc 0 ENTDTL)) "ARC")
(progn
; get detail of selected arc
(setq ENT_LAYER (cdr (assoc 8 ENTDTL)))
(setq ENT_LTYPE (cdr (assoc 6 ENTDTL)))
(setq ENT_COLOR (cdr (assoc 62 ENTDTL)))
(setq ENT_LTSCALE (cdr (assoc 48 ENTDTL)))
(setq CENTER (cdr (assoc 10 ENTDTL)))
(setq RADIUS (cdr (assoc 40 ENTDTL)))
(setq SA (cdr (assoc 50 ENTDTL)))
(setq EA (cdr (assoc 51 ENTDTL)))
(setq PA (angle CENTER PT))
; calculate endpoint coordinates
(setq SPT (list (+ (car CENTER) (* (cos SA) RADIUS))(+ (cadr CENTER) (*
(sin SA) RADIUS))))
(setq EPT (list (+ (car CENTER) (* (cos EA) RADIUS))(+ (cadr CENTER) (*
(sin EA) RADIUS))))
; draw copy of selected arc
(if (> (abs (- SA PA)) (abs (- EA PA)))
(command "ARC" SPT "near" PT EPT)
(command "ARC" EPT "near" PT SPT)
)
; erase selected arc
(command "ERASE" ENT "")
(command "CHPROP" (entlast) "" "LA" ENT_LAYER)
(if ENT_LTYPE
(command "LT" ENT_LTYPE)
)
(if ENT_COLOR
(command "C" ENT_COLOR)
)
(if ENT_LTSCALE
(command "S" ENT_LTSCALE)
)
(command "")
; draw line from end of arc, tangent to
(command "LINE" "")
)
(princ "\nArc not selected.")
)
)
(princ "\nNothing selected.")
)
(princ)
)
Dave C.
 

Re: Draw a line tangent to end of a curve.

Postby Geoffrey Leiter » Wed Aug 28, 2002 4:41 pm

If you have Toolpac, you can draw a tangent arc or line using the DTA or DTL
commands.

Geoff

"Dave C." <dcc@geosurv.com> wrote in message
news:akg87k$5md$1@update.carlsonsw.com...
We used to have a command to draw a tangent line from the end of an
existing
arc. Select the arc, and specify the length of the tangent. Any idea
where
I can find that?

TIA

Geoffrey Leiter
 


Return to Survey

Who is online

Users browsing this forum: No registered users